linux-image-2.6.31-10-virtual package missing virtio modules

Bug #423426 reported by Mathias Gug on 2009-09-02
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Karmic
High
Tim Gardner

Bug Description

linux-image-2.6.31-9-virtual is missing all virtio modules (block and net) while they're there in linux-image-2.6.28-15-virtual.

Mathias Gug (mathiaz) on 2009-09-02
Changed in linux (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2009-09-03
Changed in linux (Ubuntu):
importance: Undecided → High
milestone: none → karmic-alpha-6
status: New → In Progress
Tim Gardner (timg-tpi) on 2009-09-03
Changed in linux (Ubuntu Karmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-10.30

---------------
linux (2.6.31-10.30) karmic; urgency=low

  [ Amit Kucheria ]

  * [Config] Enable CONFIG_USB_DEVICEFS
    - LP: #417748
  * [Config] Populate the config-update template a bit more

  [ Andy Whitcroft ]

  * rebase to v2.6.31-rc9
  * [Config] update configs following rebase to v2.6.31-rc9
  * [Config] update ports configs following rebase to v2.6.31-rc9

  [ Colin Ian King ]

  * SAUCE: wireless: hostap, fix oops due to early probing interrupt
    - LP: #254837

  [ Jerone Young ]

  * [Upstream] ACPI: Add Thinkpad T400 & Thinkpad T500 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad X200, X200s, X200t to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad X300 & Thinkpad X301 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad R400 & Thinkpad R500 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad W500, W700, & W700ds to OSI(Linux)
    white-list
    - LP: #281732

  [ John Johansen ]

  * SAUCE: AppArmor: Fix profile attachment for regexp based profile names
    - LP: #419308
  * SAUCE: AppArmor: Return the correct error codes on profile
    addition/removal
    - LP: #408473
  * SAUCE: AppArmor: Fix OOPS in profile listing, and display full list
    - LP: #408454
  * SAUCE: AppArmor: Fix mapping of pux to new internal permission format
    - LP: #419222
  * SAUCE: AppArmor: Fix change_profile failure
    - LP: #401931
  * SAUCE: AppArmor: Tell git to ignore generated include files
    - LP: #419505

  [ Stefan Bader ]

  * [Upstream] acpi: video: Loosen strictness of video bus detection code
    - LP: #333386
  * SAUCE: Remove ov511 driver from ubuntu subdirectory

  [ Tim Gardner ]

  * [Config] Exclude char-modules from non-x86 udeb creation
  * SAUCE: Notify the ACPI call chain of AC events
  * [Config] CONFIG_SATA_VIA=m
    - LP: #403385
  * [Config] Build in all phylib support modules.
  * [Config] Don't fail when sub-flavour files are missing
    - LP: #423426
  * [Config] Set CONFIG_LSM_MMAP_MIN_ADDR=0
    - LP: #423513

  [ Upstream ]

  * Rebased against v2.6.31-rc9

 -- Andy Whitcroft <email address hidden> Mon, 07 Sep 2009 11:33:45 +0100

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Stéphan Kochen (stephank) wrote :

Perhaps something else is wrong in my setup, but just 20 minutes ago I did an update on a Karmic VM to what appears to be linux-virtual 2.6.31.10.21. The modules are still missing.

Booting from the server CD and dropping to a shell to investigate, the last kernel version for which I can find the virtio modules on the virtual drive is 2.6.31-5. I don't have a -6, but -7, -8, -9 and -10 all lack virtio modules.

The VM boots fine with 2.6.31-5 after changing the grub configuration to use it.

I've attached a screenshot of 2.6.31-10 booting, after it has dropped me to a busybox shell. It shows that the running kernel is indeed -10 and /dev/vda* nodes are missing.

Mathias Gug (mathiaz) wrote :

I can confirm that 2.6.31-10-virtual doesn't have any of the virtio modules. The last version that had all the virtio modules was 2.6.31-6. Reopening the bug.

Changed in linux (Ubuntu Karmic):
status: Fix Released → Triaged
summary: - linux-image-2.6.31-9-virtual package missing virtio modules
+ linux-image-2.6.31-10-virtual package missing virtio modules
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-10.32

---------------
linux (2.6.31-10.32) karmic; urgency=low

  [ Eric Miao ]

  * [Config] enable module support for memory stick
    - LP: #159951

  [ Tim Gardner ]

  * [Config] Unconditionally copy files from sub-flavours lists.
    - LP: #423426

 -- Tim Gardner <email address hidden> Thu, 10 Sep 2009 15:57:55 -0600

Changed in linux (Ubuntu Karmic):
status: Triaged → Fix Released
Tim Gardner (timg-tpi) wrote :

Doh! It would help if I committed the patch correctly. Once more unto the breach...

Changed in linux (Ubuntu Karmic):
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-10.33

---------------
linux (2.6.31-10.33) karmic; urgency=low

  [ Leann Ogasawara ]

  * [Upstream] dvb-usb: fix tuning with Cinergy T2
    - LP: #421258

  [ Tim Gardner ]

  * [Config] Unconditionally copy files from sub-flavours lists.
    (really, really fix it this time)
    - LP: #423426
  * [Config] Set CONFIG_CACHEFILES=m for all flavours

  [ Upstream Kernel Changes ]

  * ext4: Don't update superblock write time when filesystem is read-only
    - LP: #427822

 -- Tim Gardner <email address hidden> Tue, 15 Sep 2009 07:50:21 -0600

Changed in linux (Ubuntu Karmic):
status: In Progress → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers